#pragma once
#include "Entity.h"
#define CS_PELIGHTFADE_CREATENAME L"CS_pe_lightfade"
//颗粒实体：渐变光源
class CS_PeLightFade :
    public Entity
{
public:
    CS_PeLightFade();
    void Step() override;//该物体坐标由其他物体决定，则写入空Step()
    void SetState(int stateID, int lr) override;
    void SetRadius(int r);
    std::vector<int> argbuff;
};

std::shared_ptr<Entity> CreateCS_PeLightFade();